読み取り専用ツールを呼び出す
読み取り専用ツールを呼び出します。パスで指定したツールのスキーマに従い、{input: {…}} を送信してください。JSON リクエストの上限は 65536 バイトです。200 応答でも ok:false が含まれる場合があります。
POST
/api/v1/tools/{tool}/call認可
AuthorizationBearer トークン · header必須権限範囲を指定した Influence API キー、または対応する OAuth アクセストークンを使用します。認証情報を URL やツールの入力に含めないでください。
パスパラメーター
toolstring必須GET /api/v1/tools が返すツール名です。一覧は認証情報の権限で絞り込まれます。スキーマの存在は利用可能であることを保証しません。
リクエスト本文
必須application/jsoninputobject必須レスポンス
200
ツールの結果です。ok と error を確認してください。
次のうち1つのみ:
object
okboolean必須output__schema0必須プロパティを表示プロパティを隠す
__schema0toolNamestring必須指定できる値:
adAuditQuoteadAuditStartadAuditGetadAuditListsearchfetchprofileGetconnectionStatusGetaccountListwhatsappContactListwhatsappTemplateListwhatsappMediaListcampaignGetcampaignListcampaignDraftSavemediaListmediaImportmediaUploadCreatemediaUploadPartmediaUploadCompletemediaUploadGetmediaUploadAbortmediaGetcampaignReviewcampaignReviewGetcampaignReviewExecutecampaignScheduleBatchReviewcampaignScheduleBatchExecutescheduleListbrandContextGetinsightsAccountListinsightsPostListinsightsRefreshcampaignPlanGetcampaignPlanGenerateimageGenerationQuoteimageGenerationStartimageGenerationListintegrationListgroupListintegrationSchemadevtoOrganizationListdevtoTagListdiscordChannelListdiscourseCategoryListdiscourseTagListdiscourseTopicSearchdribbbleTeamListghostAuthorListghostNewsletterListghostTagListghostTierListhashnodePublicationListlemmyCommunitySearchlistmonkListsGetlistmonkTemplateListmattermostChannelListmeweGroupListpinterestBoardListredditSubredditRequirementsGetredditSubredditSearchslackChannelListteamsChannelListtiktokCreatorInfoGetvkDestinationListwhopCompanyListwhopExperienceListwordpressCategoryListwordpressPostTypeListwordpressTagListwrapcastChannelSearchintegrationSchedulePostToolpostsListToolpostSettingsToolgenerateVideoOptionsvideoFunctionToolgenerateVideoToolgenerateImageTooluploadFromUrlToolobject
errorobject必須プロパティを表示プロパティを隠す
codestring必須指定できる値:
INVALID_INPUTFORBIDDENNOT_FOUNDCONFLICTFEATURE_DISABLEDCONFIRMATION_REQUIREDCONFIRMATION_INVALIDUPSTREAM_FAILEDNEEDS_REVIEWINTERNALmessagestring必須最小長: 1 · 最大長: 2048
retryableboolean必須okboolean必須toolNamestring必須指定できる値:
adAuditQuoteadAuditStartadAuditGetadAuditListsearchfetchprofileGetconnectionStatusGetaccountListwhatsappContactListwhatsappTemplateListwhatsappMediaListcampaignGetcampaignListcampaignDraftSavemediaListmediaImportmediaUploadCreatemediaUploadPartmediaUploadCompletemediaUploadGetmediaUploadAbortmediaGetcampaignReviewcampaignReviewGetcampaignReviewExecutecampaignScheduleBatchReviewcampaignScheduleBatchExecutescheduleListbrandContextGetinsightsAccountListinsightsPostListinsightsRefreshcampaignPlanGetcampaignPlanGenerateimageGenerationQuoteimageGenerationStartimageGenerationListintegrationListgroupListintegrationSchemadevtoOrganizationListdevtoTagListdiscordChannelListdiscourseCategoryListdiscourseTagListdiscourseTopicSearchdribbbleTeamListghostAuthorListghostNewsletterListghostTagListghostTierListhashnodePublicationListlemmyCommunitySearchlistmonkListsGetlistmonkTemplateListmattermostChannelListmeweGroupListpinterestBoardListredditSubredditRequirementsGetredditSubredditSearchslackChannelListteamsChannelListtiktokCreatorInfoGetvkDestinationListwhopCompanyListwhopExperienceListwordpressCategoryListwordpressPostTypeListwordpressTagListwrapcastChannelSearchintegrationSchedulePostToolpostsListToolpostSettingsToolgenerateVideoOptionsvideoFunctionToolgenerateVideoToolgenerateImageTooluploadFromUrlTool400
リクエストが無効です。クエリパラメーターは受け付けません。入力検証の失敗はツールエラー形式で返される場合があります。
次のうち1つ以上:
TransportError
errorobject必須プロパティを表示プロパティを隠す
codestring必須messagestring必須retryableboolean必須ToolError
errorobject必須プロパティを表示プロパティを隠す
codestring必須指定できる値:
INVALID_INPUTFORBIDDENNOT_FOUNDCONFLICTFEATURE_DISABLEDCONFIRMATION_REQUIREDCONFIRMATION_INVALIDUPSTREAM_FAILEDNEEDS_REVIEWINTERNALmessagestring必須最小長: 1 · 最大長: 2048
retryableboolean必須okboolean必須toolNamestring必須指定できる値:
adAuditQuoteadAuditStartadAuditGetadAuditListsearchfetchprofileGetconnectionStatusGetaccountListwhatsappContactListwhatsappTemplateListwhatsappMediaListcampaignGetcampaignListcampaignDraftSavemediaListmediaImportmediaUploadCreatemediaUploadPartmediaUploadCompletemediaUploadGetmediaUploadAbortmediaGetcampaignReviewcampaignReviewGetcampaignReviewExecutecampaignScheduleBatchReviewcampaignScheduleBatchExecutescheduleListbrandContextGetinsightsAccountListinsightsPostListinsightsRefreshcampaignPlanGetcampaignPlanGenerateimageGenerationQuoteimageGenerationStartimageGenerationListintegrationListgroupListintegrationSchemadevtoOrganizationListdevtoTagListdiscordChannelListdiscourseCategoryListdiscourseTagListdiscourseTopicSearchdribbbleTeamListghostAuthorListghostNewsletterListghostTagListghostTierListhashnodePublicationListlemmyCommunitySearchlistmonkListsGetlistmonkTemplateListmattermostChannelListmeweGroupListpinterestBoardListredditSubredditRequirementsGetredditSubredditSearchslackChannelListteamsChannelListtiktokCreatorInfoGetvkDestinationListwhopCompanyListwhopExperienceListwordpressCategoryListwordpressPostTypeListwordpressTagListwrapcastChannelSearchintegrationSchedulePostToolpostsListToolpostSettingsToolgenerateVideoOptionsvideoFunctionToolgenerateVideoToolgenerateImageTooluploadFromUrlTool401
Bearer 認証情報が未指定、無効、または期限切れです。
errorobject必須プロパティを表示プロパティを隠す
codestring必須messagestring必須retryableboolean必須403
認証情報に必要な権限がありません。
errorobject必須プロパティを表示プロパティを隠す
codestring必須messagestring必須retryableboolean必須404
API または指定したツールを利用できません。
errorobject必須プロパティを表示プロパティを隠す
codestring必須messagestring必須retryableboolean必須413
リクエストがバイト数の上限を超えています。
errorobject必須プロパティを表示プロパティを隠す
codestring必須指定できる値:
INVALID_INPUTFORBIDDENNOT_FOUNDCONFLICTFEATURE_DISABLEDCONFIRMATION_REQUIREDCONFIRMATION_INVALIDUPSTREAM_FAILEDNEEDS_REVIEWINTERNALmessagestring必須最小長: 1 · 最大長: 2048
retryableboolean必須okboolean必須toolNamestring必須指定できる値:
adAuditQuoteadAuditStartadAuditGetadAuditListsearchfetchprofileGetconnectionStatusGetaccountListwhatsappContactListwhatsappTemplateListwhatsappMediaListcampaignGetcampaignListcampaignDraftSavemediaListmediaImportmediaUploadCreatemediaUploadPartmediaUploadCompletemediaUploadGetmediaUploadAbortmediaGetcampaignReviewcampaignReviewGetcampaignReviewExecutecampaignScheduleBatchReviewcampaignScheduleBatchExecutescheduleListbrandContextGetinsightsAccountListinsightsPostListinsightsRefreshcampaignPlanGetcampaignPlanGenerateimageGenerationQuoteimageGenerationStartimageGenerationListintegrationListgroupListintegrationSchemadevtoOrganizationListdevtoTagListdiscordChannelListdiscourseCategoryListdiscourseTagListdiscourseTopicSearchdribbbleTeamListghostAuthorListghostNewsletterListghostTagListghostTierListhashnodePublicationListlemmyCommunitySearchlistmonkListsGetlistmonkTemplateListmattermostChannelListmeweGroupListpinterestBoardListredditSubredditRequirementsGetredditSubredditSearchslackChannelListteamsChannelListtiktokCreatorInfoGetvkDestinationListwhopCompanyListwhopExperienceListwordpressCategoryListwordpressPostTypeListwordpressTagListwrapcastChannelSearchintegrationSchedulePostToolpostsListToolpostSettingsToolgenerateVideoOptionsvideoFunctionToolgenerateVideoToolgenerateImageTooluploadFromUrlTool429
リクエスト上限に達しました。再試行できます。
errorobject必須プロパティを表示プロパティを隠す
codestring必須messagestring必須retryableboolean必須503
API または処理を実行するサービスを利用できません。
errorobject必須プロパティを表示プロパティを隠す
codestring必須messagestring必須retryableboolean必須